Sub CopyTablesIntoNewDocument()
' version 1.0
' www.pdfhacks.com/copytables/

Dim SrcDoc, NewDoc As Document
Dim SrcDocTableRange As Range

Set SrcDoc = ActiveDocument
If SrcDoc.Tables.Count <> 0 Then
    
    Set NewDoc = Documents.Add(DocumentType:=wdNewBlankDocument)
    Set NewDocRange = NewDoc.Range
    Dim PrevPara As Range
    Dim NextPara As Range
    Dim NextEnd As Long
    NextEnd = 0
        
    For Each SrcDocTable In SrcDoc.Tables
        Set SrcDocTableRange = SrcDocTable.Range
       
        'output the preceding paragraph?
        Set PrevPara = SrcDocTableRange.Previous(wdParagraph, 1)
        If PrevPara Is Nothing Or PrevPara.Start < NextEnd Then
        Else
            Set PPWords = PrevPara.Words
            If PPWords.Count > 1 Then 'yes
                NewDocRange.Start = NewDocRange.End
                NewDocRange.InsertParagraphBefore
                
                NewDocRange.Start = NewDocRange.End
                NewDocRange.InsertParagraphBefore
                NewDocRange.FormattedText = PrevPara.FormattedText
            End If
        End If
            
        'output the table
        NewDocRange.Start = NewDocRange.End
        NewDocRange.FormattedText = SrcDocTableRange.FormattedText
        
        'output the following paragraph?
        Set NextPara = SrcDocTableRange.Next(wdParagraph, 1)
        If NextPara Is Nothing Then
        Else
            Set PPWords = NextPara.Words
            NextEnd = NextPara.End
            If PPWords.Count > 1 Then 'yes
                NewDocRange.Start = NewDocRange.End
                NewDocRange.InsertParagraphBefore
                NewDocRange.FormattedText = NextPara.FormattedText
            End If
        End If
     
     Next SrcDocTable
End If
End Sub

